<?php

require './chinadivision-config.php';
require './chinadivision-common-function.php';

global $wpdb;
$db_prefix = $wpdb->prefix;

if (cd_check_apikey_is_empty()) {
    cd_api_response_failed('apikey can not be empty.');
}

if (empty($_POST['order_ids'])) {
    cd_api_response_failed('Please choose your order checkbox.', 2);
}

$order_ids = $_POST['order_ids'];

$order_id_list = array_filter(explode(",", $order_ids));

$result = array();

foreach ($order_id_list as $id) {
    $createResult = cd_create_order($id);
    if ($createResult) {
        $result[] = $createResult;
    } else {
        $result[] = ['code' => 1, 'msg' => 'create order failed', 'order_id' => $id];
    }
}

$rs = '';
foreach ($result as $k => $v) {
    if (isset($v['code']) && $v['code'] !== 0) {
        $rs .= "Order ID : #" . $v['order_id'] . ":" . $v['msg'] . ";";
    }
}
if ($rs) {
    cd_api_response_failed($rs);
}

cd_api_response_success(null, "Successful Operation,Please Go to ChinaDivision's User Center to View.");